<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	
	<parent>
        <artifactId>ocr-parent</artifactId>
        <groupId>nl.krocket.ocr</groupId>
        <version>0.0.1-SNAPSHOT</version>
    </parent>
    
    <artifactId>ocr-core</artifactId>
    <packaging>jar</packaging>
    
	<dependencies>
		
		<dependency>
			<groupId>org.springframework.data</groupId>
	        <artifactId>spring-data-jpa</artifactId>
	        <version>1.9.0.RELEASE</version>
		</dependency>
	
		<dependency>
		    <groupId>org.hibernate</groupId>
    		<artifactId>hibernate-entitymanager</artifactId>
		    <version>4.3.8.Final</version>
		</dependency>
		
		<dependency>
			<groupId>org.slf4j</groupId>
        	<artifactId>slf4j-log4j12</artifactId>
			<version>1.7.5</version>
		</dependency>
		
		<!-- Jackson -->
		<dependency>
	        <groupId>com.fasterxml.jackson.core</groupId>
	        <artifactId>jackson-core</artifactId>
	        <version>2.6.3</version>
	        <scope>provided</scope>
	    </dependency>		
	    <dependency>
		    <groupId>com.fasterxml.jackson.core</groupId>
		    <artifactId>jackson-databind</artifactId>
		    <version>2.6.3</version>
		    <scope>provided</scope>
		</dependency>
	    		
		<!-- Test -->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.11</version>
			<scope>test</scope>
		</dependency>
		
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-test</artifactId>
			<version>4.1.7.RELEASE</version>
			<scope>test</scope>
		</dependency>
		
		<!-- Database (H2) -->
		<dependency>
		    <groupId>com.h2database</groupId>
		    <artifactId>h2</artifactId>
		    <version>1.4.186</version>
		    <scope>test</scope>
		</dependency>
		         
		<!-- DataSource (HikariCP) -->
		<dependency>
		    <groupId>com.zaxxer</groupId>
		    <artifactId>HikariCP-java6</artifactId>
		    <version>2.3.3</version>
		    <scope>test</scope>
		</dependency>
		
	</dependencies>

	<build>
		<plugins>
			<!-- Force on JDK17 -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.0</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>